petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISGetBlockSize

Returns the number of elements in a block.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGetBlockSize(IS is,PetscInt *size)

Not Collective

### Input Parameter

is -the index set

### Output Parameter

size -the number of elements in a block

### See Also

ISBlockGetSize(), ISGetSize(), ISCreateBlock(), ISSetBlockSize()

### Level

intermediate

### Location

src/vec/is/is/interface/index.c

### Examples

src/vec/is/is/examples/tutorials/ex3.c.html
src/vec/is/is/examples/tutorials/ex3f90.F90.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages